package com.ruoyi.web.controller.system;

import java.util.List;

import com.ruoyi.system.domain.dto.SysSecretProjectDTO;
import com.ruoyi.web.utils.ClipboardUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.SysSecretProject;
import com.ruoyi.system.service.ISysSecretProjectService;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 【请填写功能名称】Controller
 *
 * @author ruoyi
 * @date 2023-11-21
 */
@RestController
@RequestMapping("/system/secret")
public class SysSecretProjectController extends BaseController {
    @Autowired
    private ISysSecretProjectService sysSecretProjectService;

    /**
     * 查询【请填写功能名称】列表
     */
    @GetMapping("/list")
    public TableDataInfo list(SysSecretProjectDTO sysSecretProjectDTO) {
        startPage();
        List<SysSecretProjectDTO> list = sysSecretProjectService.selectSysSecretProjectList(sysSecretProjectDTO);
        return getDataTable(list);
    }

    /**
     * 获取【请填写功能名称】详细信息
     */
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(sysSecretProjectService.selectSysSecretProjectById(id));
    }

    /**
     * 新增【请填写功能名称】
     */
    @Log(title = "【请填写功能名称】", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody SysSecretProject sysSecretProject) {
        return toAjax(sysSecretProjectService.insertSysSecretProject(sysSecretProject));
    }

    /**
     * 修改【请填写功能名称】
     */
    @Log(title = "【请填写功能名称】", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody SysSecretProject sysSecretProject) {
        return toAjax(sysSecretProjectService.updateSysSecretProject(sysSecretProject));
    }

    /**
     * 删除【请填写功能名称】
     */
    @Log(title = "【请填写功能名称】", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(sysSecretProjectService.deleteSysSecretProjectByIds(ids));
    }

    /**
     * 复制【请填写功能名称】
     */
    @PostMapping("/copy")
    public AjaxResult copySecretKey(@RequestBody SysSecretProject sysSecretProject) {
        String secretKey = sysSecretProject.getSecretKey();
        ClipboardUtil.copyToClipboard(secretKey);
        return AjaxResult.success("字段信息已复制");
    }


}
